Skip to main content
GET
/
codes
List Codes
curl --request GET \
  --url 'https://api.example.com/codes?HAIQU_API_KEY='
{
  "items": [
    {
      "slug": "<string>",
      "name": "<string>",
      "family": "<string>",
      "code_type": "<string>",
      "completeness": "<string>",
      "sub_family": "",
      "n": 123,
      "k": 123,
      "d": 123,
      "description": "<string>",
      "stabilizers": {},
      "logical_operators": {},
      "layout_svg_url": "<string>",
      "qecx_url": "<string>",
      "references": [
        {
          "authors": [
            "<string>"
          ],
          "title": "<string>",
          "year": 123,
          "doi": "<string>",
          "annotation": "<string>"
        }
      ]
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.haiqu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

HAIQU_API_KEY
string
query
required

Query Parameters

family
string[] | null
sub_family
string[] | null
code_type
string[] | null
completeness
string[] | null
n
integer[] | null
d
integer[] | null
q
string | null
page
integer
default:1
page_size
integer
default:20

Response

Successful Response

Pydantic model for the QEC Code Library list API response.

items
QECCodeModel · object[]
required
total
integer
required
page
integer
required
page_size
integer
required